
Infrastructure - Bug #7431

NodelistUtil.getNode returns null for valid nodelist entry

2015-10-15 13:36 - Robert Waltz

Status: Closed Start date: 2015-10-15

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

NodelistUtil.getNode is using == instead of .equals to determine equivalence. 

Related issues:

Related to Infrastructure - Story #7419: hasReservation should not check if a... Closed 2015-10-08

Associated revisions

Revision 16675 - 2015-10-15 13:40 - Robert Waltz

fixes #7431

changed use of == to .equals when determining equivalence. Added in a couple unit tests to verify.

Revision 16675 - 2015-10-15 13:40 - Robert Waltz

fixes #7431

changed use of == to .equals when determining equivalence. Added in a couple unit tests to verify.

History

#1 - 2015-10-15 13:37 - Robert Waltz

- Related to Story #7419: hasReservation should not check if an Identifier is already registered added

#2 - 2015-10-15 14:01 - Robert Waltz

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset d1-python:d1_python|r16675.
